Bug 507072 - Review Request: kobby - Collaborative editor for KDE
Review Request: kobby - Collaborative editor for KDE
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On: 507070 507071
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-20 10:19 EDT by Ben Boeckel
Modified: 2009-07-31 14:07 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.0-0.2.b3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-31 13:59:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
smparrish: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2009-06-20 10:19:44 EDT
Spec URL: http://benboeckel.net/packaging/kobby/kobby.spec
SRPM URL: http://benboeckel.net/packaging/kobby/kobby-1.0-0.1.b3.fc11.src.rpm
Description: 
KDE collaborative editor using the infinote protocol.
Comment 1 Rex Dieter 2009-06-20 15:27:18 EDT
small pet peave, lose the "for KDE".  :)
Comment 2 Ben Boeckel 2009-07-25 13:05:07 EDT
"using KDE"? I'll change it with the next iteration of the review (or before CVS if I've somehow made it perfect the first time around(!).
Comment 3 Steven M. Parrish 2009-07-28 15:30:31 EDT
MUST: rpmlint must be run on every package.
- Checked spec file and src.rpm   0 errors, 0 warnings

MUST: The package must be named according to the Package Naming Guidelines
OK

MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.
OK

MUST: The package must meet the Packaging Guidelines
ok

MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines
OK

MUST: The License field in the package spec file must match the actual license.
OK

MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc
OK

MUST: The spec file must be written in American English.
OK

MUST: The spec file for the package MUST be legible.
OK

MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL.
OK

MUST: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.

Fail - See http://koji.fedoraproject.org/koji/getfile?taskID=1552285&name=root.log

No such package libqinfinity-devel


MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch.
N/A

MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.
OK

MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
N/A

MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun.
OK

MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
N/A

MUST: A package must own all directories that it creates. If it does not create
a directory that it uses, then it should require a package which does create
that directory.
OK

MUST: A package must not contain any duplicate files in the %files listing.
OK

MUST: Permissions on files must be set properly. Executables should be set with
executable permissions, for example. Every %files section must include a
%defattr(...) line.
OK

MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
OK

MUST: Each package must consistently use macros.
OK

MUST: The package must contain code, or permissable content.
OK

MUST: Large documentation files must go in a -doc subpackage. (The definition
of large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity).
OK

MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
OK

MUST: Header files must be in a -devel package.
OK

MUST: Static libraries must be in a -static package.
OK

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
OK

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package.
OK

MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
OK

MUST: Packages must NOT contain any .la libtool archives, these must be removed
in the spec if they are built.
OK

MUST: Packages containing GUI applications must include a %{name}.desktop file,
and that file must be properly installed with desktop-file-install in the
%install section. If you feel that your packaged GUI application does not need
a .desktop file, you must put a comment in the spec file with your explanation.
OK

MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.
OK

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
OK

MUST: All filenames in rpm packages must be valid UTF-8.
OK


Spec file looks good.  

Once package is no longer in beta I would change your %setup to 
%setup -q -n %{name}-%{version}   
to make life easier in the future.

Will not build on Koji.  Once the build error is corrected
can finish the review.
Comment 4 Ben Boeckel 2009-07-28 15:39:03 EDT
The dependent packages (the closed bugs that blocked this one) are currently only in rawhide as this is the app they were waiting for to be useful.
Comment 5 Steven M. Parrish 2009-07-28 17:12:40 EDT
Ok built fine for F12. Will this eventually make it into F11?

Package approved.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Ben Boeckel 2009-07-28 18:24:43 EDT
New Package CVS Request
=======================
Package Name: kobby
Short Description: Collaborative editor usign the infinote protocol
Owners: mathstuf
Branches: F-10 F-11
InitialCC:
Comment 7 Jason Tibbitts 2009-07-28 21:05:46 EDT
CVS done.
Comment 8 Fedora Update System 2009-07-30 21:26:44 EDT
kobby-1.0-0.2.b3.fc11,libqinfinity-1.0-0.2.b3.fc11.2,libinfinity-0.3.0-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kobby-1.0-0.2.b3.fc11,libqinfinity-1.0-0.2.b3.fc11.2,libinfinity-0.3.0-3.fc11
Comment 9 Fedora Update System 2009-07-30 21:26:59 EDT
kobby-1.0-0.2.b3.fc10,libqinfinity-1.0-0.2.b3.fc10,libinfinity-0.3.0-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kobby-1.0-0.2.b3.fc10,libqinfinity-1.0-0.2.b3.fc10,libinfinity-0.3.0-3.fc10
Comment 10 Fedora Update System 2009-07-31 13:59:44 EDT
kobby-1.0-0.2.b3.fc11, libqinfinity-1.0-0.2.b3.fc11.2, libinfinity-0.3.0-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-07-31 14:06:48 EDT
kobby-1.0-0.2.b3.fc10, libqinfinity-1.0-0.2.b3.fc10, libinfinity-0.3.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.